Bug 1656024 - Cannot install appstream-generator as it depends on old libraries
Summary: Cannot install appstream-generator as it depends on old libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: appstream-generator
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 13:33 UTC by Fahad Alduraibi
Modified: 2019-02-08 03:20 UTC (History)
1 user (show)

Fixed In Version: appstream-generator-0.7.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-08 03:20:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Fahad Alduraibi 2018-12-04 13:33:54 UTC
When trying to install appstream-generator package I get an error that it cannot find some libraries while i have them installed

# dnf install appstream-generator
Last metadata expiration check: 0:37:28 ago on Tue 04 Dec 2018 03:46:47 PM +03.
Error: 
 Problem: conflicting requests
  - nothing provides libdruntime-ldc-shared.so.78()(64bit) needed by appstream-generator-0.6.8-1.fc29.x86_64
  - nothing provides libphobos2-ldc-shared.so.78()(64bit) needed by appstream-generator-0.6.8-1.fc29.x86_64


# rpm -qa |grep ldc
ldc-phobos-1.11.0-2.fc29.x86_64
ldc-druntime-1.11.0-2.fc29.x86_64

# locate ldc-shared.so
/usr/lib64/libdruntime-ldc-shared.so.2.0.81
/usr/lib64/libdruntime-ldc-shared.so.81
/usr/lib64/libphobos2-ldc-shared.so.2.0.81
/usr/lib64/libphobos2-ldc-shared.so.81

Comment 1 Neal Gompa 2018-12-07 22:48:34 UTC
I'm working on making a new build available, but I hadn't realized that this had happened...

Comment 2 Fahad Alduraibi 2019-01-09 09:14:39 UTC
When can we expect the new build to be available?

Comment 3 Fedora Update System 2019-02-03 07:43:23 UTC
glibd-2.0.2-1.fc29 gir-to-d-0.17.0-1.fc29 appstream-generator-0.7.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-606a77e5e5

Comment 4 Fedora Update System 2019-02-05 04:05:21 UTC
appstream-generator-0.7.4-1.fc29, gir-to-d-0.17.0-1.fc29, glibd-2.0.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-606a77e5e5

Comment 5 Fedora Update System 2019-02-08 03:20:42 UTC
appstream-generator-0.7.4-1.fc29, gir-to-d-0.17.0-1.fc29, glibd-2.0.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.